
From: Dominik Brodowski <linux@dominikbrodowski.net>

pci_set_power_state is not needed, as we call pci_enable_device() somewhere
else.  Also, the resource we write to PCI_BASE_ADDRESS_0 needs to be converted
to bus-centric view first.

Signed-off-by: Dominik Brodowski <linux@dominikbrodowski.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/pcmcia/yenta_socket.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

diff -puN drivers/pcmcia/yenta_socket.c~pcmcia-tiny-yenta_socketc-cleanup drivers/pcmcia/yenta_socket.c
--- 25/drivers/pcmcia/yenta_socket.c~pcmcia-tiny-yenta_socketc-cleanup	Wed Sep  7 16:00:26 2005
+++ 25-akpm/drivers/pcmcia/yenta_socket.c	Wed Sep  7 16:00:26 2005
@@ -1004,11 +1004,12 @@ static void yenta_config_init(struct yen
 {
 	u16 bridge;
 	struct pci_dev *dev = socket->dev;
+	struct pci_bus_region region;
 
-	pci_set_power_state(socket->dev, 0);
+	pcibios_resource_to_bus(socket->dev, &region, &dev->resource[0]);
 
 	config_writel(socket, CB_LEGACY_MODE_BASE, 0);
-	config_writel(socket, PCI_BASE_ADDRESS_0, dev->resource[0].start);
+	config_writel(socket, PCI_BASE_ADDRESS_0, region.start);
 	config_writew(socket, PCI_COMMAND,
 			PCI_COMMAND_IO |
 			PCI_COMMAND_MEMORY |
_
